%
%	ARRAY_M2.M
%
%	This file defines a planar aperture to be used by program mp2.m.
% The program requires file sou_m2.m in order to define the sources'
% parameters.
%
%	Miguel A. Lagunas			February 1992
%
%................................................................................
% Central frequency and velocity of propagation
fc=0.5;c=0.5;
%________________________________________________________________________________
% distance of sensors in wavelengths to the phase center
d=[0.6 0.6 0.6 0.6 0.6 0.6 1.2 1.2 1.2 1.2 1.2 1.2 1.8 1.8 1.8 1.8 1.8 1.8];
%________________________________________________________________________________
% azimuth of sensors in degrees
fisen=[0 60 120 180 240 300];
fisen=[fisen 20 80 140 200 260 320];
fisen=[fisen 40 100 160 220 280 340];
%________________________________________________________________________________
% number of snapshots to be managed by the main program
nsnap=5000;
disp('--------------------------------------------------------------------------');
s=['The number of snapshots is...' num2str(nsnap)];disp(s);
%________________________________________________________________________________
% charge source information file
sou_m2;
%________________________________________________________________________________
% chek main parameters
if length(soulev)==length(fresou)
        if length(soulev)==length(souele)
                if length(souele)==length(souazi)
                        nsou=length(soulev);
                        s=['The number of sources is...' num2str(nsou)]; 
                        disp(s)
                end
        end
end
for i=1:nsou
  s=['Source #' num2str(i) '--> ' num2str(soulev(i)) 'dB ' num2str(souele(i))...
 '  elevation ' num2str(souazi(i)) '  azimuth'];
  disp(s);
end;
if length(d)==length(fisen)
        nsen=length(d);
        s=['The number of sensors is...' num2str(nsen)]; 
        disp(s)
end
%__________________________________________________________________________________