%
%	ARRAY_M2L.M
%
%	This file defines a linear aperture to be used by program mp2L.m.
% The program requires file sou_m2L.m in order to define the sources'
% parameters.
%
%	Miguel A. Lagunas			February 1992
%
%................................................................................
% Central frequency and velocity of propagation
fc=0.5;c=0.5;
%________________________________________________________________________________
% distance of sensors in wavelengths to the phase center
d=[0 0.5 1 1.5 2 2.5 3 3.5 4 4.5 5 5.5 6 6.5 7 7.5];
%________________________________________________________________________________
% number of snapshots to be managed by the main program
nsnap=5000;
disp('--------------------------------------------------------------------------');
s=['The number of snapshots is...' num2str(nsnap)];disp(s);
%________________________________________________________________________________
% charge source information file
sou_m2L;
%________________________________________________________________________________
% chek main parameters
if length(soulev)==length(fresou)
        if length(soulev)==length(souele)
            nsou=length(soulev);
            s=['The number of sources is...' num2str(nsou)]; 
            disp(s)
        end
end
for i=1:nsou
  s=['Source #' num2str(i) '--> ' num2str(soulev(i)) 'dB ' num2str(souele(i))...
 '  elevation '];
  disp(s);
end;
        nsen=length(d);
        s=['The number of sensors is...' num2str(nsen)]; 
        disp(s);
%__________________________________________________________________________________