%
%  	File DIB_MAL2.M
%
% 	Plots the array ab versus teta. The array ab supose to be the
% response of a linear aperture versus elevation teta. Inputs souele and
% soulev represent the actual elevation and level of sources. The string 
% stri contains the title of the graphic. The parameters aa and bb specify
% the figure number and the seconds the figure is hold under the pause
% command. Finally, the parameter cc equal one indicates that the polar
% diagram is desired.
%
%  Miguel A. Lagunas			Marzo 1996
%
%................................................................
function [pr]=dib_mal2(ab,stri,ndib,xx,yy,arx,ary,soulev,aa,bb,cc);
figure(aa);clf;nsou=length(soulev);
mesh(xx,yy,ab);hold on;xlabel('This axis west-->east');
ylabel('Slowness/azimuth');title(stri);grid;
% Plots actual locations
au=min(min(ab));bu=max(max(ab));zref=(min(min(ab)))*ones(size(ab));
for i=1:length(xx);
  for l=1:nsou;
    if xx(i)<=arx(l);
      if xx(i+1)>arx(l);
        for j=1:length(yy);
          if yy(j)<=ary(l);
            if yy(j+1)>ary(l);
              %zref(i,j)=soulev(l);
              zref(i,j)=bu;
            end;
          end;
        end;
      end;
    end;
  end;
end;
mesh(xx,yy,zref);view(45,60);hold off;
pause(bb);hold off;pr=1;
%  Contour plot when desired
if cc==1;
 figure(aa+1);
  clf;contour(xx,yy,ab,10);hold on;grid;contour(xx,yy,zref,10);
  xlabel('South');ylabel('Slowness/azimuth');title(stri);
  pause(bb);
end;
%____________________________________________________________________________