%
%  ESTIMACION DE DOA
%
%       Los datos de array y escenario
%
clear all;clf;
k=menu('Select aperture','uniform linear array','2d  array');
if k==1;
        array_l;
elseif k==2;
        array_c;
end;
%convertir grados a radianes
pi=3.14159265;
twopi=2*pi;
ii=sqrt(-1);
fiser=fisen*(pi/180);
souelr=souele*(pi/180);
souazr=souazi*(pi/180);
% conversion db a niveles
for i=1:nsou;
        soule(i)=sqrt(10^(soulev(i)/10));
end;
% matrix de doa de fuentes
for i=1:nsou;
        dsou(:,i)=(2*pi*fc/c)*d'.*cos(fiser'-souazr(i)*ones(nsen,1));
        dsou(:,i)=dsou(:,i)*sin(souelr(i));
end;
dsou=exp(-ii*dsou);
% vector de forma de onda
aux=diag(soule);
%souwav=aux*exp(ii*(fresou'*(1:1:nsnap)+pi*rand(nsou,nsnap)));
souwav=aux*exp(ii*(fresou'*(1:1:nsnap)));
clear aux;
% generacion de los snapshots
cov=zeros(nsen,nsen);
for i=1:nsnap;
        xsna=dsou*souwav(:,i)+randn(nsen,1)-ii*randn(nsen,1);
         cov=cov+xsna*xsna';
end;
cov=cov/nsnap;
clear souwav xsna;
%
% Metodos de DOA
%
con=1;
while con==1;
  km=menu('Estimation method','Phased','MLM','NML','Music','End of the program');
  if km<5;
    di=menu('Scanning mode','Elevation only','Elevation and azimuth');
  end;
  if km==1;
        if di==1;
                doaper;
        else di==2;
                doaper2;
        end;
  elseif km==2;
        if di==1;
                doamlm;
        elseif di==2;
                doamlm2;
        end;
  elseif km==3;
        if di==1;
                doanml;
        elseif di==2;
                doanml2;
        end;
  elseif km==4;
        if di==1;
                doamus;
        elseif di==2;
                doamus2;
        end;
  elseif km==5;
        con=0;
  end;
end;
%clear;











