% Metodo del periodograma o phased array
clf;aa=min(souele)-5;bb=max(souele)+5;
teta=aa:0.2:bb;figure(1);clf;
%$
s=['Field of view: from ' num2str(teta(1)) ' up to ' num2str(teta(length(teta)))];
disp(s);
s=['Scanning precission of ' num2str(teta(2)-teta(1)) 'degrees'];disp(s);
%$
tetar=teta*pi/180;
ndib=length(teta);
% Matriz de DOAs
s=ii*(2*pi*fc/c)*d'.*cos(fiser')*sin(tetar);
s=exp(-s);
%
per=diag(s'*cov*s)/(nsen^2);
per=10*log10(abs(per));
%
xdib=[min(teta) max(teta) min(per) max(per)];
axis(xdib);
plot(teta,per,'b');grid;hold on;
xlabel('Elevation in degrees');
ylabel('dB');stri=['DOA estimation: Phased (blue actual location) '];title(stri);
% Dibujo de las posiciones exactas
au=min(soulev)-10;bu=max(soulev)+10;
for i=1:ndib,
        pera(i)=au;perb(i)=0;
        for j=1:nsou;
                if teta(i)<=souele(j);
                        if teta(i+1)>souele(j);
                                pera(i)=soulev(j);
				perb(i)=bu;
                        end;
                end;
        end;
end;
plot (teta,pera,'r');hold off;
pause(0.1);figure(2);clf;
  clf;
  polar(tetar',per,'b');
  xlabel('Elevation in degrees');
  ylabel('Polar response');
  title(stri);
  grid;
  hold on;
  polar(tetar,perb,'r');
  hold off;
%-------------------------------------
