% Extended Kalman filter
function [pa,covpa]=ekf_arr(x,pa,covpa,residuo)
%
s=[real(x);imag(x)]/abs(x);
ii=sqrt(-1);
H=[-sin(pa(1)) 0;cos(pa(1)) 0];
%
F=[1 6.283;0 1];
%
error=s-[cos(pa(1)) sin(pa(1))]';
%
cover=H*covpa*H'+eye(2);
coveri=inv(cover);
K=F*covpa*H'*coveri;
pa=F*pa+K*error;
covpa=F*covpa*F'-K*cover*K'+residuo;
%
if pa(2)>0.5;
        pa(2)=0.25;
end
if pa(2)<0;
        pa(2)=0.25;
end;
