%
%        SNA_PRO.M
%
% Always load arr_dat.m and sce_dat.m before loading this file
tmax=0;
%       Form the snapshots vector of dimenssions nsen*nsnap
X=S*sou+((rand(nsen,nsnap)-ii*rand(nsen,nsnap))/1.41);
%       Measured covariance matrix
RM=X*X'/nsnap;
%       Actual covariance matrix
RA=S*diag(soul.*soul)*S'+eye(nsen,nsen);
%       Wiener solution
Aopt=inv(RA)*S(:,itipo)*(soul(itipo)^2);
err_op=(soul(itipo)^2)-Aopt'*RA*Aopt;
%       Plot
stri=['Optimum response'];figure(2);clf;
if iexp==2;
        uaso=sca_2d(fve,fva,d,azir,Aopt,stri,1);      
else;
        auso=sca_1d(fve,d,azir,Aopt,soue,souldb,stri,tmax,1);
end;
%       MSE solution
Amse=inv(RM)*X*sou(itipo,:)'/nsnap;
err_ms=(soul(itipo)^2)-Amse'*RM*Amse;
%       Dibujo
stri=['MSE Beamforming (Block processing)'];figure(3);clf;
if iexp==2;
        uaso=sca_2d(fve,fva,d,azir,Amse,stri,3);      
else;
        uaso=sca_1d(fve,d,azir,Amse,soue,souldb,stri,tmax,3);
end;
%print;
%       Calculo de la SNR optima
snr_op=Aopt'*Aopt;
    for i=1:nsou;
      if i==itipo;
        auso=(soul(itipo)^2)*(abs(Aopt'*S(:,itipo)))^2;
      else;
        snr_op=snr_op+(soul(i)^2)*(abs(Aopt'*S(:,i)))^2;
      end;
    end;
snr_op=auso/snr_op;
snr_op=10*log10(snr_op);
%
%
clear RM RA uaso auso Aopt Amse stri,
pack;
