%
%	Program SOU_M2.M
%
%	This program is used by ARRAY_M2.M to define the source
%  scenario. To change set-up just modify the values inside [.].
%
%	Miguel Angel Lagunas		October 1995
%
%......................................................................
stri=['Check file sou_m2.m'];
% 	Elevation of sources in degrees (from 0-90)
souele=[0 70 30];
%souele=[0 60 30 80];
nsou=length(souele);
for i=1:nsou;
  if souele(i)>90;
    disp('Error in source elevation values');disp(stri);break;
  end;
  if souele(i)<0;
    disp('Error in source elevation values');disp(stri);break;
  end;
end;
%______________________________________________________________________
% 	Azimuth of sources in degrees (from 0-360)
souazi=[0 100 330];
%souazi=[30 120 210 285];
for i=1:nsou;
  if souazi(i)>360;
    disp('Error in source azimuth values');disp(stri);break;
  end;
  if souazi(i)<0;
    disp('Error in source azimuth values');disp(stri);break;
  end;
end;
%______________________________________________________________________
% 	baseband frequency of the sources >0 and <0.5
%	Always narrowband sources assumed. Set the same frequency here
%	for coherent sources.
fresou=[0.25 0.18 0.10];
%fresou=[0.25 0.183 0.32 0.135];
nana=length(fresou);
%______________________________________________________________________
%	check for coherent sources and display in the command window
for i=1:nana;
  for j=i+1:nana;
    if i==j;
      kk=0;
    else;
      if fresou(i)==fresou(j);
        s=[' WAR source ' num2str(i) ' is coherent with source ' num2str(j)];
        disp(s);
      end;
    end;
  end;
end;
clear nana kk;
%______________________________________________________________________
% 	source level in db.
soulev=[10 20 20];
%soulev=[10 10 15 5];
%______________________________________________________________________
%	chek values
inp=1;ns=length(souele);
for i=1:ns;
  if souele(i)>90;
    disp('revise elevation angles of sources -90<.<90');inp=0;
  elseif souele(i)<-90;
    disp('revise elevation angles of sources -90<.<90');inp=0;
  end;
  if souazi(i)>360;
    disp('revise source azimuths 0<.<360');inp=0;
  elseif souazi<0;
    disp('revise source azimuths 0<.<360');inp=0;
  end;
  if fresou(i)<0;
    disp('frequency of sources 0<.<0.5');inp=0;
  elseif fresou(i)>0.5;
    disp('frequency of sources 0<.<0.5');inp=0;
  end;
end;
if inp==0;
	disp('ERROR: program stop, revise sou_m2.m file');break;
end;
%________________________________________________________________