%
%  	File DIB_MAL.M
%
% 	Plots the array ab versus teta. The array ab supose to be the
% response of a linear aperture versus elevation teta. Inputs souele and
% soulev represent the actual elevation and level of sources. The string 
% stri contains the title of the graphic. The parameter aa specify
% the figure number.
%
%  Miguel A. Lagunas			Marzo 1996
%
%................................................................
function [pr]=dib_mal(ab,stri,xxe,souele,soulev,aa);
figure(aa);clf;nsou=length(soulev);
plot(xxe,ab,'k');hold on;xlabel('Elevation degrees');
title(stri);grid;
% Plots actual locations
au=min(min(ab));bu=max(max(ab));zref=(min(min(ab))-10)*ones(size(ab));
for i=1:length(xxe);
  for l=1:nsou;
    if xxe(i)<=souele(l);
      if xxe(i+1)>souele(l);
              zref(i)=soulev(l);
      end;
    end;
  end;
end;
plot(xxe,zref,'b');hold off;
pause;hold off;pr=1;
%____________________________________________________________________________