% Metodo del periodograma o phased array
clf;
teta=0:0.5:50;fi=0:0.5:100;
s=['The field of view in elevation is from  ' num2str(teta(1)) '  up to  '...
 num2str(teta(length(teta)))];disp(s);
s=['The scanning precission in elevation is  ' num2str(teta(2)-teta(1)) '  degrees'];
disp(s);
ndibx=length(fi);
ndiby=length(teta);
tetar=teta*pi/180;
fir=fi*pi/180;
per=zeros(ndiby,ndibx);
for i=1:ndibx;
   s=(ii*(2*pi*fc/c)*d'.*cos(fiser'-fir(i)*ones(nsen,1)))*sin(tetar);
   s=exp(s);
   v=cov*s;
   per(:,i)=10*log10(abs(diag(s'*v))/nsen^2);
   %disp(ndibx-i);
end;
pera=min(min(per))*ones(size(per));
for i=1:length(teta)-1;
  for l=1:nsou;
    if souele(l)>=teta(i);
      if souele(l)<teta(i+1);
        for j=1:length(fi)-1;
          if souazi(l)>=fi(j);
            if souazi(l)<fi(j+1);
              pera(i,j)=soulev(l)+5;
            end;
          end;
        end;
      end;
    end;
  end;
end;   
% dibujos 2d
au=min(min(per));bu=max(max(per));figure(1);
% numero de niveles
nniv=20;vc=au:(bu-au)/nniv:bu;
cs=contour(fi,teta,per,vc);
clabel(cs);
hold on;
contour(fi,teta,pera,vc);
xlabel('Azimuth in degrees');
ylabel('Elevation in degrees');
title('DOA Estimation: Phased Array');
pause(0.1);hold off;figure(2);clf;
contour3(fi,teta,per,vc);xlabel('Azimuth in degrees');
ylabel('Elevation in degrees');
title('DOA Estimation: Phased Array');hold on;
contour3(fi,teta,pera,vc);view(-45,45);
pause(0.1);hold off;figure(3);clf;
mesh(fi,teta,per);view(-45,45);
title('DOA Estimation: Phased Array');xlabel('Azimuth in degrees');
ylabel('Elevation in degrees');hold on;mesh(fi,teta,pera);pause(0.1);
hold off;
clear teta fi tetar fir per pera s v;
%----------------------------------------------

