%
%  	File PATTERN.M
%
%
%  Miguel A. Lagunas			Marzo 1996
%
%................................................................
function [pr]=pattern(zp,stri,sx,xxe,souele,soulev,aa);
figure(aa);clf;nsou=length(souele);aro=sin(souele*pi/180);
%
zpat=10*log10(abs(sx'*zp));
% Define the floor for the plot as -30 dB. below the maximum source level
zfloor=max(zpat)-30;
for i=1:length(xxe);
    if zpat(i)<zfloor;
        zpat(i)=zfloor;
    end;
end;
plot(xxe,zpat,'k');hold on;grid;
ylabel('Array factor dB.');
xlabel('Elevation');title(stri);
% Plot the actual source location
au=min(zpat);bu=max(zpat);zref=zfloor*ones(size(zpat));
for i=1:length(xxe);
  for l=1:nsou;
    if xxe(i)<=souele(l);
      if xxe(i+1)>souele(l);
              zref(i)=soulev(l);
      end;
    end;
  end;
end;
plot(xxe,zref,'b');hold off;
axis([min(xxe),max(xxe),zfloor,max(zpat)]);
pause(0.1);pr=1;
%_______________________________________________________________________