%
%       SCA_2D.M
%
function y=sca_2d(fve,fva,d,azir,Aopt,stri,lk);
  pi=3.14159265;
  twopi=2*pi;figure(lk);
  ii=sqrt(-1);
  nsen=length(d);
  delta=(fve(2)-fve(1))/50;
  teta=fve(1):delta:fve(2);
  delta=(fva(2)-fva(1))/50;
  fi=fva(1):delta:fva(2);
  tetar=teta*pi/180;
  fir=fi*pi/180;
  ndibx=length(fi);
  ndiby=length(teta);
  per=zeros(ndiby,ndibx);
  xdib=[min(fi) max(fi) min(teta) max(teta)];
  axis(xdib);
  for i=1:ndibx;
    sc=(ii*twopi*d.*cos(azir-fir(i)*ones(nsen,1)))*sin(tetar);
    sc=exp(sc);
    per(:,i)=10*log10(abs(sc'*Aopt));
  end;
  save raro.mat per fi teta;
  contour(fi,teta,per,20);
  xlabel('Azimuth in degrees');
  ylabel('Elevation in degrees');
  title(stri)
  figure(lk+1);
  mesh(fi,teta,per);
  xlabel('Azimuth in degrees');
  ylabel('Elevation in degrees');
  title(stri);
  clear teta tetar delta fi fir sc per;
  y=1;
  %----------------------------------------------------------
